// Simple Motor Demo for XTronical Motor Driver, see www.xtronical.com/xtmotorlibrary for more information
// Starts a motor moving at 100% power for 3 seconds, then stops and reverses for aother 3 seconds, repeats

#include "XT_Analogue_Motor.h"

#define MOTOR_PIN1 10 // Motor connection 1, must be a pwm  pin
#define MOTOR_PIN2 12 // Motor connection 2, can be any pin, PWM or not

XT_Motor_Class Motor(MOTOR_PIN1,MOTOR_PIN2);  // Create the motor object,  first param must be a PWM pin

void setup()
{
  Motor.SetSpeed(100,0);         //100% Speed, to be started immediatly (0 milliseconds delay)
}

void loop()
{  
  delay(3000);                  // A 3 second delay which allows the motor to run in current direction for 3 secs
  Motor.Reverse(true);          // Reverse the direction, but stop the motor first (if false, immediatly reverses - not recommended!)
}


